﻿using System.ComponentModel.DataAnnotations;
using System.Text.Json.Serialization;

namespace OnlineMetodist.API.Models
{
    public class Event
    {
        public Guid Id { get; set; }

		[DisplayFormat(DataFormatString = "{0:yyyy-MM-dd}", ApplyFormatInEditMode = true)]
		public DateOnly DateOfEvent { get; set; }


		[DisplayFormat(DataFormatString = "{0:yyyy-MM-dd}", ApplyFormatInEditMode = true)]
		public DateOnly? EndDateOfEvent { get; set; }

        public string Specifications { get; set; } //описание данных в виде json
        public Guid IdFormOfWork { get; set; }
		public double? Coefficient { get; set; }
		public Boolean? IsApproved { get; set; }
		public string? Student { get; set; }
        [JsonIgnore]
        public FormOfWork FormOfWorkFK { get; set; } = null!;
        public Guid EmployeeId { get; set; }
		[JsonIgnore]
		public Employee Employee { get; set; } = null!;
		//добавить поле с ФИО студента для участия в чем-либо

	}
}
