﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace OnlineMetodist.API.Models
{
    public class MethodicalCommission
    {
		[Required]
		[Display(Name = "Id")]
		public Guid Id { get; set; }
		[Required]
		[Display(Name = "Название МК")]
		public string Name { get; set; } = null!;
		public Guid? IdHead { get; set; }

		[JsonIgnore]
		public Employee? HeadMC { get; set; }

		public ICollection<Employee> Employees { get; set; } = new List<Employee>();
    }
}
