﻿namespace OnlineMetodist.API.Enums
{
	public static class EnumsEvent
	{
		public static List<string> ParticipationForms => new() { "Очное", "Заочное", "Дистанционное" };

		public static List<string> EventForms => new()
		{
			"Конкурс",
			"Конференция",
			"Фестиваль",
			"Семинар",
			"Мастер-класс",
			"Тренинг",
			"Вебинар",
			"Олимпиада",
			"Викторина",
			"Соревнование",
			"Открытый урок"
		};

		public static List<string> StatusEvents => new()
		{
			"Международное",
			"Всероссийское",
			"Региональное",
			"Городское",
			"Областное",
			"Колледжное",
		};

		public static List<string> ResultEvents => new()
		{
			"Подтверждающий документ не предусмотрен (или мероприятие еще не свершилось)",
			"Диплом 1 степени",
			"Диплом 2 степени",
			"Диплом 3 степени",
			"Диплом участника (без степеней)",
			"Благодарственное письмо",
			"Грамота",
			"Свидетельство",
			"Сертификат",
			"Участие (без подтвердительного документа)"
		};
	}
}
