﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

#pragma warning disable CA1814 // Prefer jagged arrays over multidimensional

namespace OnlineMetodist.API.Migrations
{
    /// <inheritdoc />
    public partial class EmpMcRelate : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_MethodicaCommissions_Employees_HeadMCId",
                table: "MethodicaCommissions");

            migrationBuilder.DropIndex(
                name: "IX_MethodicaCommissions_HeadMCId",
                table: "MethodicaCommissions");

            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("1df0cba6-ff73-40c2-abdf-961a9709eaaa"));

            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("37287ef1-0f2b-4285-9ac4-9f1488ace769"));

            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("b4e09dae-2674-4e96-925f-d9043b546d23"));

            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("c1f8d268-888a-42a3-8cb0-1f4844288f7a"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("12da9f6a-76f1-4fc0-8fd9-83e87339d72d"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("5170e2a5-c6a2-46d4-9b9f-c320a3a38489"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("55d62715-6c8c-4edc-b24a-f40bc74c921b"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("75a83ea4-1462-4509-a656-551d97c3b2ef"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("785180c4-76d2-4198-9097-1f7468fb33fa"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("7db12177-6b42-4e46-aaf3-7c0cfd898bf4"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("89f72d9d-2c0f-4f6d-b260-1b8c5ad22562"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("8e9ba4b0-5b6e-4afe-bc52-1ff89478fffd"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("a3da2342-8d6d-4d41-b93b-3a129a0df358"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("ab1ace23-f7cd-4b5c-b3ca-6d7569c8f1f5"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("ad5ecee4-1b03-4c38-826f-9c48264f8964"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("c09cd729-72fe-4fb2-bdbe-ba74605f3e1a"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("de91711c-58d4-4a6c-be28-361418218d11"));

            migrationBuilder.DropColumn(
                name: "HeadMCId",
                table: "MethodicaCommissions");

            migrationBuilder.AddColumn<Guid>(
                name: "IdMC",
                table: "Employees",
                type: "uuid",
                nullable: true);

            migrationBuilder.InsertData(
                table: "FormsOfWorks",
                columns: new[] { "Id", "Name" },
                values: new object[,]
                {
                    { new Guid("55d73ffe-84ca-419d-977e-5d1cbd245564"), "Стажировка" },
                    { new Guid("c42f911f-e640-4de2-b767-e449d0b1c7b4"), "Участие" },
                    { new Guid("f51dad6d-2857-4a7c-8aac-c81ce42c6cc0"), "Публикация" },
                    { new Guid("ffe2f148-281c-4b94-9f47-8fda7ca4dfd7"), "Проведение" }
                });

            migrationBuilder.InsertData(
                table: "MethodicaCommissions",
                columns: new[] { "Id", "IdHead", "Name" },
                values: new object[,]
                {
                    { new Guid("1ab41ad7-edfc-4ee1-8ea0-d35001cb11f7"), null, "Музыкальных дисциплин" },
                    { new Guid("2768b0dc-e47e-4dca-bfb0-9ff1942285b6"), null, "Гуманитарных дисциплин" },
                    { new Guid("2a6638f3-d2e9-42f5-b574-2bb19736371d"), null, "Информатика и вычислительная техника" },
                    { new Guid("2d5b8e3b-ccf2-4c98-ba1f-285ddbdf1951"), null, "Математических и естественно - научных дисциплин" },
                    { new Guid("3327d37c-d778-4274-8424-1cd0368ef90f"), null, "Общественных и правовых дисциплин" },
                    { new Guid("435529d6-1697-48f0-8c42-eea951e43885"), null, "Иностранного языка" },
                    { new Guid("45a83b6a-204f-4f04-aa53-564087628fa6"), null, "Дисциплин физической культуры и БЖД" },
                    { new Guid("4e36d6e5-42d4-47a3-9f49-b95e1e3706d8"), null, "Инструментальных дисциплин" },
                    { new Guid("799ec662-0b17-4e3b-8e04-049e86409796"), null, "Специальностей Банковское дело, ДОУ" },
                    { new Guid("82cd544e-147a-40d9-9315-0fd4805a8df8"), null, "Специальностей Товароведение, Коммерция" },
                    { new Guid("a3d181b0-9bd2-4606-bd36-569416799dd7"), null, "Специальности Преподавание в начальных классах" },
                    { new Guid("a5cfe9d3-f0aa-47a0-9479-19d1c825f02d"), null, "Экономика и управление, логистика" },
                    { new Guid("e870cc44-18c3-4be4-81ea-ac35145ce8f1"), null, "Специальности Дошкольное образование" }
                });

            migrationBuilder.CreateIndex(
                name: "IX_MethodicaCommissions_IdHead",
                table: "MethodicaCommissions",
                column: "IdHead",
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_Employees_IdMC",
                table: "Employees",
                column: "IdMC");

            migrationBuilder.AddForeignKey(
                name: "FK_Employees_MethodicaCommissions_IdMC",
                table: "Employees",
                column: "IdMC",
                principalTable: "MethodicaCommissions",
                principalColumn: "Id");

            migrationBuilder.AddForeignKey(
                name: "FK_MethodicaCommissions_Employees_IdHead",
                table: "MethodicaCommissions",
                column: "IdHead",
                principalTable: "Employees",
                principalColumn: "Id");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_Employees_MethodicaCommissions_IdMC",
                table: "Employees");

            migrationBuilder.DropForeignKey(
                name: "FK_MethodicaCommissions_Employees_IdHead",
                table: "MethodicaCommissions");

            migrationBuilder.DropIndex(
                name: "IX_MethodicaCommissions_IdHead",
                table: "MethodicaCommissions");

            migrationBuilder.DropIndex(
                name: "IX_Employees_IdMC",
                table: "Employees");

            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("55d73ffe-84ca-419d-977e-5d1cbd245564"));

            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("c42f911f-e640-4de2-b767-e449d0b1c7b4"));

            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("f51dad6d-2857-4a7c-8aac-c81ce42c6cc0"));

            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("ffe2f148-281c-4b94-9f47-8fda7ca4dfd7"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("1ab41ad7-edfc-4ee1-8ea0-d35001cb11f7"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("2768b0dc-e47e-4dca-bfb0-9ff1942285b6"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("2a6638f3-d2e9-42f5-b574-2bb19736371d"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("2d5b8e3b-ccf2-4c98-ba1f-285ddbdf1951"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("3327d37c-d778-4274-8424-1cd0368ef90f"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("435529d6-1697-48f0-8c42-eea951e43885"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("45a83b6a-204f-4f04-aa53-564087628fa6"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("4e36d6e5-42d4-47a3-9f49-b95e1e3706d8"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("799ec662-0b17-4e3b-8e04-049e86409796"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("82cd544e-147a-40d9-9315-0fd4805a8df8"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("a3d181b0-9bd2-4606-bd36-569416799dd7"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("a5cfe9d3-f0aa-47a0-9479-19d1c825f02d"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("e870cc44-18c3-4be4-81ea-ac35145ce8f1"));

            migrationBuilder.DropColumn(
                name: "IdMC",
                table: "Employees");

            migrationBuilder.AddColumn<Guid>(
                name: "HeadMCId",
                table: "MethodicaCommissions",
                type: "uuid",
                nullable: true);

            migrationBuilder.InsertData(
                table: "FormsOfWorks",
                columns: new[] { "Id", "Name" },
                values: new object[,]
                {
                    { new Guid("1df0cba6-ff73-40c2-abdf-961a9709eaaa"), "Проведение" },
                    { new Guid("37287ef1-0f2b-4285-9ac4-9f1488ace769"), "Участие" },
                    { new Guid("b4e09dae-2674-4e96-925f-d9043b546d23"), "Стажировка" },
                    { new Guid("c1f8d268-888a-42a3-8cb0-1f4844288f7a"), "Публикация" }
                });

            migrationBuilder.InsertData(
                table: "MethodicaCommissions",
                columns: new[] { "Id", "HeadMCId", "IdHead", "Name" },
                values: new object[,]
                {
                    { new Guid("12da9f6a-76f1-4fc0-8fd9-83e87339d72d"), null, null, "Информатика и вычислительная техника" },
                    { new Guid("5170e2a5-c6a2-46d4-9b9f-c320a3a38489"), null, null, "Инструментальных дисциплин" },
                    { new Guid("55d62715-6c8c-4edc-b24a-f40bc74c921b"), null, null, "Математических и естественно - научных дисциплин" },
                    { new Guid("75a83ea4-1462-4509-a656-551d97c3b2ef"), null, null, "Специальности Преподавание в начальных классах" },
                    { new Guid("785180c4-76d2-4198-9097-1f7468fb33fa"), null, null, "Экономика и управление, логистика" },
                    { new Guid("7db12177-6b42-4e46-aaf3-7c0cfd898bf4"), null, null, "Общественных и правовых дисциплин" },
                    { new Guid("89f72d9d-2c0f-4f6d-b260-1b8c5ad22562"), null, null, "Дисциплин физической культуры и БЖД" },
                    { new Guid("8e9ba4b0-5b6e-4afe-bc52-1ff89478fffd"), null, null, "Музыкальных дисциплин" },
                    { new Guid("a3da2342-8d6d-4d41-b93b-3a129a0df358"), null, null, "Специальности Дошкольное образование" },
                    { new Guid("ab1ace23-f7cd-4b5c-b3ca-6d7569c8f1f5"), null, null, "Специальностей Товароведение, Коммерция" },
                    { new Guid("ad5ecee4-1b03-4c38-826f-9c48264f8964"), null, null, "Иностранного языка" },
                    { new Guid("c09cd729-72fe-4fb2-bdbe-ba74605f3e1a"), null, null, "Специальностей Банковское дело, ДОУ" },
                    { new Guid("de91711c-58d4-4a6c-be28-361418218d11"), null, null, "Гуманитарных дисциплин" }
                });

            migrationBuilder.CreateIndex(
                name: "IX_MethodicaCommissions_HeadMCId",
                table: "MethodicaCommissions",
                column: "HeadMCId");

            migrationBuilder.AddForeignKey(
                name: "FK_MethodicaCommissions_Employees_HeadMCId",
                table: "MethodicaCommissions",
                column: "HeadMCId",
                principalTable: "Employees",
                principalColumn: "Id");
        }
    }
}
