﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

#pragma warning disable CA1814 // Prefer jagged arrays over multidimensional

namespace OnlineMetodist.API.Migrations
{
    /// <inheritdoc />
    public partial class AddRolesData : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("55d73ffe-84ca-419d-977e-5d1cbd245564"));

            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("c42f911f-e640-4de2-b767-e449d0b1c7b4"));

            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("f51dad6d-2857-4a7c-8aac-c81ce42c6cc0"));

            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("ffe2f148-281c-4b94-9f47-8fda7ca4dfd7"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("1ab41ad7-edfc-4ee1-8ea0-d35001cb11f7"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("2768b0dc-e47e-4dca-bfb0-9ff1942285b6"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("2a6638f3-d2e9-42f5-b574-2bb19736371d"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("2d5b8e3b-ccf2-4c98-ba1f-285ddbdf1951"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("3327d37c-d778-4274-8424-1cd0368ef90f"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("435529d6-1697-48f0-8c42-eea951e43885"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("45a83b6a-204f-4f04-aa53-564087628fa6"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("4e36d6e5-42d4-47a3-9f49-b95e1e3706d8"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("799ec662-0b17-4e3b-8e04-049e86409796"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("82cd544e-147a-40d9-9315-0fd4805a8df8"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("a3d181b0-9bd2-4606-bd36-569416799dd7"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("a5cfe9d3-f0aa-47a0-9479-19d1c825f02d"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("e870cc44-18c3-4be4-81ea-ac35145ce8f1"));

            migrationBuilder.InsertData(
                table: "AspNetRoles",
                columns: new[] { "Id", "ConcurrencyStamp", "Name", "NormalizedName" },
                values: new object[,]
                {
                    { "15b46e43-900d-4b7b-87aa-a3fbf9d1baa6", null, "Преподаватель", "PREPOD" },
                    { "3e6a19fe-742c-413a-914d-c3c77c5f7862", null, "Представитель НМЦ", "PREDSTAV" },
                    { "5db04fea-d3fe-4560-b3d2-af89fc81f885", null, "Заведующий корпусом", "ZAVED" },
                    { "b9e3a61d-7719-4a28-9e72-3e01e486d6ad", null, "Администратор", "ADMIN" },
                    { "c99b7c50-641e-4c83-a868-2020dd042634", null, "Председатель МК", "PREDSED" }
                });

            migrationBuilder.InsertData(
                table: "FormsOfWorks",
                columns: new[] { "Id", "Name" },
                values: new object[,]
                {
                    { new Guid("2ef2618d-4a30-4f18-9d27-258eefdf55af"), "Проведение" },
                    { new Guid("39384f27-75d7-4a52-8c6c-6442a9dbb3c3"), "Стажировка" },
                    { new Guid("d278705a-287b-465c-9129-e3e7e85690eb"), "Участие" },
                    { new Guid("f27967b1-13a8-4bf5-b286-8569094fc3ba"), "Публикация" }
                });

            migrationBuilder.InsertData(
                table: "MethodicaCommissions",
                columns: new[] { "Id", "IdHead", "Name" },
                values: new object[,]
                {
                    { new Guid("45c8cde9-92cb-4973-8312-5e62768bef9f"), null, "Экономика и управление, логистика" },
                    { new Guid("48b40e88-6948-44f8-a46b-41963f156697"), null, "Музыкальных дисциплин" },
                    { new Guid("5579d667-8e33-4e31-92be-0af1898604f2"), null, "Гуманитарных дисциплин" },
                    { new Guid("68722d0f-aa91-4ef9-a40f-80b69d6ef3d0"), null, "Специальности Дошкольное образование" },
                    { new Guid("7b32336b-6e2b-4548-b571-79511fcc70ab"), null, "Инструментальных дисциплин" },
                    { new Guid("8c5ad7ae-31ff-41d5-9352-11e5af466c46"), null, "Специальности Преподавание в начальных классах" },
                    { new Guid("97ed3094-f321-4258-81ef-46337a0e86ed"), null, "Специальностей Товароведение, Коммерция" },
                    { new Guid("b59b9413-5813-474b-abfe-0de5dfdb5564"), null, "Дисциплин физической культуры и БЖД" },
                    { new Guid("c93cf688-be01-499f-8885-48e17a9bea0f"), null, "Специальностей Банковское дело, ДОУ" },
                    { new Guid("c9606bfb-8be6-45bd-8758-f4baf87ce6cb"), null, "Математических и естественно - научных дисциплин" },
                    { new Guid("cedc1e44-cd5a-4e49-814c-9926b0030659"), null, "Иностранного языка" },
                    { new Guid("d223366a-7a6b-485c-91b7-de734619f4c8"), null, "Общественных и правовых дисциплин" },
                    { new Guid("e1e858a7-8185-473a-8eee-644546322a46"), null, "Информатика и вычислительная техника" }
                });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DeleteData(
                table: "AspNetRoles",
                keyColumn: "Id",
                keyValue: "15b46e43-900d-4b7b-87aa-a3fbf9d1baa6");

            migrationBuilder.DeleteData(
                table: "AspNetRoles",
                keyColumn: "Id",
                keyValue: "3e6a19fe-742c-413a-914d-c3c77c5f7862");

            migrationBuilder.DeleteData(
                table: "AspNetRoles",
                keyColumn: "Id",
                keyValue: "5db04fea-d3fe-4560-b3d2-af89fc81f885");

            migrationBuilder.DeleteData(
                table: "AspNetRoles",
                keyColumn: "Id",
                keyValue: "b9e3a61d-7719-4a28-9e72-3e01e486d6ad");

            migrationBuilder.DeleteData(
                table: "AspNetRoles",
                keyColumn: "Id",
                keyValue: "c99b7c50-641e-4c83-a868-2020dd042634");

            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("2ef2618d-4a30-4f18-9d27-258eefdf55af"));

            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("39384f27-75d7-4a52-8c6c-6442a9dbb3c3"));

            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("d278705a-287b-465c-9129-e3e7e85690eb"));

            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("f27967b1-13a8-4bf5-b286-8569094fc3ba"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("45c8cde9-92cb-4973-8312-5e62768bef9f"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("48b40e88-6948-44f8-a46b-41963f156697"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("5579d667-8e33-4e31-92be-0af1898604f2"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("68722d0f-aa91-4ef9-a40f-80b69d6ef3d0"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("7b32336b-6e2b-4548-b571-79511fcc70ab"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("8c5ad7ae-31ff-41d5-9352-11e5af466c46"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("97ed3094-f321-4258-81ef-46337a0e86ed"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("b59b9413-5813-474b-abfe-0de5dfdb5564"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("c93cf688-be01-499f-8885-48e17a9bea0f"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("c9606bfb-8be6-45bd-8758-f4baf87ce6cb"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("cedc1e44-cd5a-4e49-814c-9926b0030659"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("d223366a-7a6b-485c-91b7-de734619f4c8"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("e1e858a7-8185-473a-8eee-644546322a46"));

            migrationBuilder.InsertData(
                table: "FormsOfWorks",
                columns: new[] { "Id", "Name" },
                values: new object[,]
                {
                    { new Guid("55d73ffe-84ca-419d-977e-5d1cbd245564"), "Стажировка" },
                    { new Guid("c42f911f-e640-4de2-b767-e449d0b1c7b4"), "Участие" },
                    { new Guid("f51dad6d-2857-4a7c-8aac-c81ce42c6cc0"), "Публикация" },
                    { new Guid("ffe2f148-281c-4b94-9f47-8fda7ca4dfd7"), "Проведение" }
                });

            migrationBuilder.InsertData(
                table: "MethodicaCommissions",
                columns: new[] { "Id", "IdHead", "Name" },
                values: new object[,]
                {
                    { new Guid("1ab41ad7-edfc-4ee1-8ea0-d35001cb11f7"), null, "Музыкальных дисциплин" },
                    { new Guid("2768b0dc-e47e-4dca-bfb0-9ff1942285b6"), null, "Гуманитарных дисциплин" },
                    { new Guid("2a6638f3-d2e9-42f5-b574-2bb19736371d"), null, "Информатика и вычислительная техника" },
                    { new Guid("2d5b8e3b-ccf2-4c98-ba1f-285ddbdf1951"), null, "Математических и естественно - научных дисциплин" },
                    { new Guid("3327d37c-d778-4274-8424-1cd0368ef90f"), null, "Общественных и правовых дисциплин" },
                    { new Guid("435529d6-1697-48f0-8c42-eea951e43885"), null, "Иностранного языка" },
                    { new Guid("45a83b6a-204f-4f04-aa53-564087628fa6"), null, "Дисциплин физической культуры и БЖД" },
                    { new Guid("4e36d6e5-42d4-47a3-9f49-b95e1e3706d8"), null, "Инструментальных дисциплин" },
                    { new Guid("799ec662-0b17-4e3b-8e04-049e86409796"), null, "Специальностей Банковское дело, ДОУ" },
                    { new Guid("82cd544e-147a-40d9-9315-0fd4805a8df8"), null, "Специальностей Товароведение, Коммерция" },
                    { new Guid("a3d181b0-9bd2-4606-bd36-569416799dd7"), null, "Специальности Преподавание в начальных классах" },
                    { new Guid("a5cfe9d3-f0aa-47a0-9479-19d1c825f02d"), null, "Экономика и управление, логистика" },
                    { new Guid("e870cc44-18c3-4be4-81ea-ac35145ce8f1"), null, "Специальности Дошкольное образование" }
                });
        }
    }
}
