﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

#pragma warning disable CA1814 // Prefer jagged arrays over multidimensional

namespace OnlineMetodist.API.Migrations
{
    /// <inheritdoc />
    public partial class CorrectingEvent : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_Events_Employees_EmployeeId",
                table: "Events");

            migrationBuilder.DeleteData(
                table: "AspNetRoles",
                keyColumn: "Id",
                keyValue: "15b46e43-900d-4b7b-87aa-a3fbf9d1baa6");

            migrationBuilder.DeleteData(
                table: "AspNetRoles",
                keyColumn: "Id",
                keyValue: "3e6a19fe-742c-413a-914d-c3c77c5f7862");

            migrationBuilder.DeleteData(
                table: "AspNetRoles",
                keyColumn: "Id",
                keyValue: "5db04fea-d3fe-4560-b3d2-af89fc81f885");

            migrationBuilder.DeleteData(
                table: "AspNetRoles",
                keyColumn: "Id",
                keyValue: "b9e3a61d-7719-4a28-9e72-3e01e486d6ad");

            migrationBuilder.DeleteData(
                table: "AspNetRoles",
                keyColumn: "Id",
                keyValue: "c99b7c50-641e-4c83-a868-2020dd042634");

            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("2ef2618d-4a30-4f18-9d27-258eefdf55af"));

            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("39384f27-75d7-4a52-8c6c-6442a9dbb3c3"));

            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("d278705a-287b-465c-9129-e3e7e85690eb"));

            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("f27967b1-13a8-4bf5-b286-8569094fc3ba"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("45c8cde9-92cb-4973-8312-5e62768bef9f"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("48b40e88-6948-44f8-a46b-41963f156697"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("5579d667-8e33-4e31-92be-0af1898604f2"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("68722d0f-aa91-4ef9-a40f-80b69d6ef3d0"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("7b32336b-6e2b-4548-b571-79511fcc70ab"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("8c5ad7ae-31ff-41d5-9352-11e5af466c46"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("97ed3094-f321-4258-81ef-46337a0e86ed"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("b59b9413-5813-474b-abfe-0de5dfdb5564"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("c93cf688-be01-499f-8885-48e17a9bea0f"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("c9606bfb-8be6-45bd-8758-f4baf87ce6cb"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("cedc1e44-cd5a-4e49-814c-9926b0030659"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("d223366a-7a6b-485c-91b7-de734619f4c8"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("e1e858a7-8185-473a-8eee-644546322a46"));

            migrationBuilder.AlterColumn<Guid>(
                name: "EmployeeId",
                table: "Events",
                type: "uuid",
                nullable: false,
                defaultValue: new Guid("00000000-0000-0000-0000-000000000000"),
                oldClrType: typeof(Guid),
                oldType: "uuid",
                oldNullable: true);

            migrationBuilder.AddColumn<double>(
                name: "Coefficient",
                table: "Events",
                type: "double precision",
                nullable: true);

            migrationBuilder.AddColumn<bool>(
                name: "IsApproved",
                table: "Events",
                type: "boolean",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "Student",
                table: "Events",
                type: "text",
                nullable: true);

            migrationBuilder.InsertData(
                table: "AspNetRoles",
                columns: new[] { "Id", "ConcurrencyStamp", "Name", "NormalizedName" },
                values: new object[,]
                {
                    { "239953c1-5e13-4e16-bc2e-0706bd9ef1c3", null, "Преподаватель", "PREPOD" },
                    { "3285f638-377d-4913-9531-059b08cfbbbd", null, "Председатель МК", "PREDSED" },
                    { "83fa21b4-9a01-42ee-b4fc-41b5f4b00e3a", null, "Представитель НМЦ", "PREDSTAV" },
                    { "a455cae0-85bf-4988-849e-6240f66d54fd", null, "Заведующий корпусом", "ZAVED" },
                    { "ac08fac9-82b4-4593-b8d8-eb006d1a820b", null, "Администратор", "ADMIN" }
                });

            migrationBuilder.InsertData(
                table: "FormsOfWorks",
                columns: new[] { "Id", "Name" },
                values: new object[,]
                {
                    { new Guid("09309f52-04bf-4163-83b1-9c7baa6295ae"), "Стажировка" },
                    { new Guid("0d752b6c-6285-485b-a479-b0810cd2724a"), "Публикация" },
                    { new Guid("151b9265-e5d2-48a1-a545-9399b7f6525a"), "Участие" },
                    { new Guid("b4f2f2b6-3845-41b3-9cd2-114894d29d26"), "Проведение" }
                });

            migrationBuilder.InsertData(
                table: "MethodicaCommissions",
                columns: new[] { "Id", "IdHead", "Name" },
                values: new object[,]
                {
                    { new Guid("0b8f943c-26c1-4e17-9eb4-9131e6e89910"), null, "Общественных и правовых дисциплин" },
                    { new Guid("17da9d88-b26a-4315-b391-fcd0ba0f7420"), null, "Экономика и управление, логистика" },
                    { new Guid("1e37554f-6618-4b46-bdf9-07cbd77bc86b"), null, "Инструментальных дисциплин" },
                    { new Guid("38cad82b-ba2a-49a4-a49f-70cd0b71d500"), null, "Дисциплин физической культуры и БЖД" },
                    { new Guid("5002e509-8fe5-43cd-89a9-5abd826c3102"), null, "Специальности Дошкольное образование" },
                    { new Guid("5121150a-15da-456a-854f-5d022e768409"), null, "Информатика и вычислительная техника" },
                    { new Guid("5bef6b3c-8ff2-4dcf-a38d-e8885b2c9ee2"), null, "Иностранного языка" },
                    { new Guid("783d3d0c-a900-49f9-8bba-d3c1b7cfa037"), null, "Специальностей Банковское дело, ДОУ" },
                    { new Guid("a57d94ab-5e31-4d9f-bd2d-6d9bab76b3a1"), null, "Специальностей Товароведение, Коммерция" },
                    { new Guid("b7ed20ee-4595-4d85-9f09-432ea835da3a"), null, "Гуманитарных дисциплин" },
                    { new Guid("bf842b79-4ec1-4e12-bcf0-b38b3a293952"), null, "Музыкальных дисциплин" },
                    { new Guid("dada4eeb-223e-4c69-afcc-9348afd804a3"), null, "Специальности Преподавание в начальных классах" },
                    { new Guid("f9551b8e-2dc7-4f13-a4da-32ce3c5f1c4b"), null, "Математических и естественно - научных дисциплин" }
                });

            migrationBuilder.AddForeignKey(
                name: "FK_Events_Employees_EmployeeId",
                table: "Events",
                column: "EmployeeId",
                principalTable: "Employees",
                principalColumn: "Id",
                onDelete: ReferentialAction.Cascade);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_Events_Employees_EmployeeId",
                table: "Events");

            migrationBuilder.DeleteData(
                table: "AspNetRoles",
                keyColumn: "Id",
                keyValue: "239953c1-5e13-4e16-bc2e-0706bd9ef1c3");

            migrationBuilder.DeleteData(
                table: "AspNetRoles",
                keyColumn: "Id",
                keyValue: "3285f638-377d-4913-9531-059b08cfbbbd");

            migrationBuilder.DeleteData(
                table: "AspNetRoles",
                keyColumn: "Id",
                keyValue: "83fa21b4-9a01-42ee-b4fc-41b5f4b00e3a");

            migrationBuilder.DeleteData(
                table: "AspNetRoles",
                keyColumn: "Id",
                keyValue: "a455cae0-85bf-4988-849e-6240f66d54fd");

            migrationBuilder.DeleteData(
                table: "AspNetRoles",
                keyColumn: "Id",
                keyValue: "ac08fac9-82b4-4593-b8d8-eb006d1a820b");

            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("09309f52-04bf-4163-83b1-9c7baa6295ae"));

            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("0d752b6c-6285-485b-a479-b0810cd2724a"));

            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("151b9265-e5d2-48a1-a545-9399b7f6525a"));

            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("b4f2f2b6-3845-41b3-9cd2-114894d29d26"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("0b8f943c-26c1-4e17-9eb4-9131e6e89910"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("17da9d88-b26a-4315-b391-fcd0ba0f7420"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("1e37554f-6618-4b46-bdf9-07cbd77bc86b"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("38cad82b-ba2a-49a4-a49f-70cd0b71d500"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("5002e509-8fe5-43cd-89a9-5abd826c3102"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("5121150a-15da-456a-854f-5d022e768409"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("5bef6b3c-8ff2-4dcf-a38d-e8885b2c9ee2"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("783d3d0c-a900-49f9-8bba-d3c1b7cfa037"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("a57d94ab-5e31-4d9f-bd2d-6d9bab76b3a1"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("b7ed20ee-4595-4d85-9f09-432ea835da3a"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("bf842b79-4ec1-4e12-bcf0-b38b3a293952"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("dada4eeb-223e-4c69-afcc-9348afd804a3"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("f9551b8e-2dc7-4f13-a4da-32ce3c5f1c4b"));

            migrationBuilder.DropColumn(
                name: "Coefficient",
                table: "Events");

            migrationBuilder.DropColumn(
                name: "IsApproved",
                table: "Events");

            migrationBuilder.DropColumn(
                name: "Student",
                table: "Events");

            migrationBuilder.AlterColumn<Guid>(
                name: "EmployeeId",
                table: "Events",
                type: "uuid",
                nullable: true,
                oldClrType: typeof(Guid),
                oldType: "uuid");

            migrationBuilder.InsertData(
                table: "AspNetRoles",
                columns: new[] { "Id", "ConcurrencyStamp", "Name", "NormalizedName" },
                values: new object[,]
                {
                    { "15b46e43-900d-4b7b-87aa-a3fbf9d1baa6", null, "Преподаватель", "PREPOD" },
                    { "3e6a19fe-742c-413a-914d-c3c77c5f7862", null, "Представитель НМЦ", "PREDSTAV" },
                    { "5db04fea-d3fe-4560-b3d2-af89fc81f885", null, "Заведующий корпусом", "ZAVED" },
                    { "b9e3a61d-7719-4a28-9e72-3e01e486d6ad", null, "Администратор", "ADMIN" },
                    { "c99b7c50-641e-4c83-a868-2020dd042634", null, "Председатель МК", "PREDSED" }
                });

            migrationBuilder.InsertData(
                table: "FormsOfWorks",
                columns: new[] { "Id", "Name" },
                values: new object[,]
                {
                    { new Guid("2ef2618d-4a30-4f18-9d27-258eefdf55af"), "Проведение" },
                    { new Guid("39384f27-75d7-4a52-8c6c-6442a9dbb3c3"), "Стажировка" },
                    { new Guid("d278705a-287b-465c-9129-e3e7e85690eb"), "Участие" },
                    { new Guid("f27967b1-13a8-4bf5-b286-8569094fc3ba"), "Публикация" }
                });

            migrationBuilder.InsertData(
                table: "MethodicaCommissions",
                columns: new[] { "Id", "IdHead", "Name" },
                values: new object[,]
                {
                    { new Guid("45c8cde9-92cb-4973-8312-5e62768bef9f"), null, "Экономика и управление, логистика" },
                    { new Guid("48b40e88-6948-44f8-a46b-41963f156697"), null, "Музыкальных дисциплин" },
                    { new Guid("5579d667-8e33-4e31-92be-0af1898604f2"), null, "Гуманитарных дисциплин" },
                    { new Guid("68722d0f-aa91-4ef9-a40f-80b69d6ef3d0"), null, "Специальности Дошкольное образование" },
                    { new Guid("7b32336b-6e2b-4548-b571-79511fcc70ab"), null, "Инструментальных дисциплин" },
                    { new Guid("8c5ad7ae-31ff-41d5-9352-11e5af466c46"), null, "Специальности Преподавание в начальных классах" },
                    { new Guid("97ed3094-f321-4258-81ef-46337a0e86ed"), null, "Специальностей Товароведение, Коммерция" },
                    { new Guid("b59b9413-5813-474b-abfe-0de5dfdb5564"), null, "Дисциплин физической культуры и БЖД" },
                    { new Guid("c93cf688-be01-499f-8885-48e17a9bea0f"), null, "Специальностей Банковское дело, ДОУ" },
                    { new Guid("c9606bfb-8be6-45bd-8758-f4baf87ce6cb"), null, "Математических и естественно - научных дисциплин" },
                    { new Guid("cedc1e44-cd5a-4e49-814c-9926b0030659"), null, "Иностранного языка" },
                    { new Guid("d223366a-7a6b-485c-91b7-de734619f4c8"), null, "Общественных и правовых дисциплин" },
                    { new Guid("e1e858a7-8185-473a-8eee-644546322a46"), null, "Информатика и вычислительная техника" }
                });

            migrationBuilder.AddForeignKey(
                name: "FK_Events_Employees_EmployeeId",
                table: "Events",
                column: "EmployeeId",
                principalTable: "Employees",
                principalColumn: "Id");
        }
    }
}
