﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

#pragma warning disable CA1814 // Prefer jagged arrays over multidimensional

namespace OnlineMetodist.API.Migrations
{
    /// <inheritdoc />
    public partial class ReportingPeriod : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DeleteData(
                table: "AspNetRoles",
                keyColumn: "Id",
                keyValue: "239953c1-5e13-4e16-bc2e-0706bd9ef1c3");

            migrationBuilder.DeleteData(
                table: "AspNetRoles",
                keyColumn: "Id",
                keyValue: "3285f638-377d-4913-9531-059b08cfbbbd");

            migrationBuilder.DeleteData(
                table: "AspNetRoles",
                keyColumn: "Id",
                keyValue: "83fa21b4-9a01-42ee-b4fc-41b5f4b00e3a");

            migrationBuilder.DeleteData(
                table: "AspNetRoles",
                keyColumn: "Id",
                keyValue: "a455cae0-85bf-4988-849e-6240f66d54fd");

            migrationBuilder.DeleteData(
                table: "AspNetRoles",
                keyColumn: "Id",
                keyValue: "ac08fac9-82b4-4593-b8d8-eb006d1a820b");

            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("09309f52-04bf-4163-83b1-9c7baa6295ae"));

            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("0d752b6c-6285-485b-a479-b0810cd2724a"));

            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("151b9265-e5d2-48a1-a545-9399b7f6525a"));

            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("b4f2f2b6-3845-41b3-9cd2-114894d29d26"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("0b8f943c-26c1-4e17-9eb4-9131e6e89910"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("17da9d88-b26a-4315-b391-fcd0ba0f7420"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("1e37554f-6618-4b46-bdf9-07cbd77bc86b"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("38cad82b-ba2a-49a4-a49f-70cd0b71d500"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("5002e509-8fe5-43cd-89a9-5abd826c3102"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("5121150a-15da-456a-854f-5d022e768409"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("5bef6b3c-8ff2-4dcf-a38d-e8885b2c9ee2"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("783d3d0c-a900-49f9-8bba-d3c1b7cfa037"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("a57d94ab-5e31-4d9f-bd2d-6d9bab76b3a1"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("b7ed20ee-4595-4d85-9f09-432ea835da3a"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("bf842b79-4ec1-4e12-bcf0-b38b3a293952"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("dada4eeb-223e-4c69-afcc-9348afd804a3"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("f9551b8e-2dc7-4f13-a4da-32ce3c5f1c4b"));

            migrationBuilder.CreateTable(
                name: "ReportingPeriods",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "uuid", nullable: false),
                    DateOfReport = table.Column<DateOnly>(type: "date", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_ReportingPeriods", x => x.Id);
                });

            migrationBuilder.InsertData(
                table: "AspNetRoles",
                columns: new[] { "Id", "ConcurrencyStamp", "Name", "NormalizedName" },
                values: new object[,]
                {
                    { "2de8ef45-7bcf-4a63-9950-c9448af49157", null, "Администратор", "ADMIN" },
                    { "77ae4a25-4f69-400e-9685-b2ad00dd12ce", null, "Преподаватель", "PREPOD" },
                    { "79825083-2c21-4b24-a072-b1ecf95eae33", null, "Председатель МК", "PREDSED" },
                    { "a0d264e3-3306-4717-91d8-2d0e4b743dea", null, "Заведующий корпусом", "ZAVED" },
                    { "b1d16e65-bb54-4ece-99de-44092ac72051", null, "Представитель НМЦ", "PREDSTAV" }
                });

            migrationBuilder.InsertData(
                table: "FormsOfWorks",
                columns: new[] { "Id", "Name" },
                values: new object[,]
                {
                    { new Guid("160e95c8-48fd-47d6-bde6-9f69757e2bb1"), "Участие" },
                    { new Guid("5c9610ba-a527-4b08-a499-35cc9c5995ef"), "Проведение" },
                    { new Guid("751203c0-b42d-4e5c-b1a9-982227da96f1"), "Публикация" },
                    { new Guid("c41c42b8-a671-4634-9709-42a38e5574da"), "Стажировка" }
                });

            migrationBuilder.InsertData(
                table: "MethodicaCommissions",
                columns: new[] { "Id", "IdHead", "Name" },
                values: new object[,]
                {
                    { new Guid("0f782898-da3c-4433-946a-a64fc55ff40f"), null, "Специальностей Товароведение, Коммерция" },
                    { new Guid("24cd2222-efbc-4bd2-93a2-26b45b56d5ff"), null, "Информатика и вычислительная техника" },
                    { new Guid("330fff97-2f5d-4689-9e33-ae57d108b4c8"), null, "Специальности Преподавание в начальных классах" },
                    { new Guid("76c84b89-0815-4084-850f-3a9da6463624"), null, "Гуманитарных дисциплин" },
                    { new Guid("7f374e87-7139-4ca0-acba-2016a89a0132"), null, "Математических и естественно - научных дисциплин" },
                    { new Guid("8144dd8d-e0fe-49ff-b1c3-30db193c200e"), null, "Общественных и правовых дисциплин" },
                    { new Guid("8781f8ca-e974-4041-bc2d-f16b714f4d83"), null, "Дисциплин физической культуры и БЖД" },
                    { new Guid("b00cc3aa-cb5e-48c1-b141-d1d1a1abac16"), null, "Иностранного языка" },
                    { new Guid("b0f72d85-39bc-4594-b981-fedf8c899e3e"), null, "Музыкальных дисциплин" },
                    { new Guid("e610ee1c-1de8-4e6b-a25c-3dc7ed72a6fc"), null, "Экономика и управление, логистика" },
                    { new Guid("e8d2e4f3-3d47-4d00-9016-687fa94361eb"), null, "Инструментальных дисциплин" },
                    { new Guid("ed9a830e-0617-4af0-9ed5-270dfb93c19c"), null, "Специальности Дошкольное образование" },
                    { new Guid("f904d08c-763d-4ac7-9d9a-71c90cf6b1a9"), null, "Специальностей Банковское дело, ДОУ" }
                });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "ReportingPeriods");

            migrationBuilder.DeleteData(
                table: "AspNetRoles",
                keyColumn: "Id",
                keyValue: "2de8ef45-7bcf-4a63-9950-c9448af49157");

            migrationBuilder.DeleteData(
                table: "AspNetRoles",
                keyColumn: "Id",
                keyValue: "77ae4a25-4f69-400e-9685-b2ad00dd12ce");

            migrationBuilder.DeleteData(
                table: "AspNetRoles",
                keyColumn: "Id",
                keyValue: "79825083-2c21-4b24-a072-b1ecf95eae33");

            migrationBuilder.DeleteData(
                table: "AspNetRoles",
                keyColumn: "Id",
                keyValue: "a0d264e3-3306-4717-91d8-2d0e4b743dea");

            migrationBuilder.DeleteData(
                table: "AspNetRoles",
                keyColumn: "Id",
                keyValue: "b1d16e65-bb54-4ece-99de-44092ac72051");

            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("160e95c8-48fd-47d6-bde6-9f69757e2bb1"));

            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("5c9610ba-a527-4b08-a499-35cc9c5995ef"));

            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("751203c0-b42d-4e5c-b1a9-982227da96f1"));

            migrationBuilder.DeleteData(
                table: "FormsOfWorks",
                keyColumn: "Id",
                keyValue: new Guid("c41c42b8-a671-4634-9709-42a38e5574da"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("0f782898-da3c-4433-946a-a64fc55ff40f"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("24cd2222-efbc-4bd2-93a2-26b45b56d5ff"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("330fff97-2f5d-4689-9e33-ae57d108b4c8"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("76c84b89-0815-4084-850f-3a9da6463624"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("7f374e87-7139-4ca0-acba-2016a89a0132"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("8144dd8d-e0fe-49ff-b1c3-30db193c200e"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("8781f8ca-e974-4041-bc2d-f16b714f4d83"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("b00cc3aa-cb5e-48c1-b141-d1d1a1abac16"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("b0f72d85-39bc-4594-b981-fedf8c899e3e"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("e610ee1c-1de8-4e6b-a25c-3dc7ed72a6fc"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("e8d2e4f3-3d47-4d00-9016-687fa94361eb"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("ed9a830e-0617-4af0-9ed5-270dfb93c19c"));

            migrationBuilder.DeleteData(
                table: "MethodicaCommissions",
                keyColumn: "Id",
                keyValue: new Guid("f904d08c-763d-4ac7-9d9a-71c90cf6b1a9"));

            migrationBuilder.InsertData(
                table: "AspNetRoles",
                columns: new[] { "Id", "ConcurrencyStamp", "Name", "NormalizedName" },
                values: new object[,]
                {
                    { "239953c1-5e13-4e16-bc2e-0706bd9ef1c3", null, "Преподаватель", "PREPOD" },
                    { "3285f638-377d-4913-9531-059b08cfbbbd", null, "Председатель МК", "PREDSED" },
                    { "83fa21b4-9a01-42ee-b4fc-41b5f4b00e3a", null, "Представитель НМЦ", "PREDSTAV" },
                    { "a455cae0-85bf-4988-849e-6240f66d54fd", null, "Заведующий корпусом", "ZAVED" },
                    { "ac08fac9-82b4-4593-b8d8-eb006d1a820b", null, "Администратор", "ADMIN" }
                });

            migrationBuilder.InsertData(
                table: "FormsOfWorks",
                columns: new[] { "Id", "Name" },
                values: new object[,]
                {
                    { new Guid("09309f52-04bf-4163-83b1-9c7baa6295ae"), "Стажировка" },
                    { new Guid("0d752b6c-6285-485b-a479-b0810cd2724a"), "Публикация" },
                    { new Guid("151b9265-e5d2-48a1-a545-9399b7f6525a"), "Участие" },
                    { new Guid("b4f2f2b6-3845-41b3-9cd2-114894d29d26"), "Проведение" }
                });

            migrationBuilder.InsertData(
                table: "MethodicaCommissions",
                columns: new[] { "Id", "IdHead", "Name" },
                values: new object[,]
                {
                    { new Guid("0b8f943c-26c1-4e17-9eb4-9131e6e89910"), null, "Общественных и правовых дисциплин" },
                    { new Guid("17da9d88-b26a-4315-b391-fcd0ba0f7420"), null, "Экономика и управление, логистика" },
                    { new Guid("1e37554f-6618-4b46-bdf9-07cbd77bc86b"), null, "Инструментальных дисциплин" },
                    { new Guid("38cad82b-ba2a-49a4-a49f-70cd0b71d500"), null, "Дисциплин физической культуры и БЖД" },
                    { new Guid("5002e509-8fe5-43cd-89a9-5abd826c3102"), null, "Специальности Дошкольное образование" },
                    { new Guid("5121150a-15da-456a-854f-5d022e768409"), null, "Информатика и вычислительная техника" },
                    { new Guid("5bef6b3c-8ff2-4dcf-a38d-e8885b2c9ee2"), null, "Иностранного языка" },
                    { new Guid("783d3d0c-a900-49f9-8bba-d3c1b7cfa037"), null, "Специальностей Банковское дело, ДОУ" },
                    { new Guid("a57d94ab-5e31-4d9f-bd2d-6d9bab76b3a1"), null, "Специальностей Товароведение, Коммерция" },
                    { new Guid("b7ed20ee-4595-4d85-9f09-432ea835da3a"), null, "Гуманитарных дисциплин" },
                    { new Guid("bf842b79-4ec1-4e12-bcf0-b38b3a293952"), null, "Музыкальных дисциплин" },
                    { new Guid("dada4eeb-223e-4c69-afcc-9348afd804a3"), null, "Специальности Преподавание в начальных классах" },
                    { new Guid("f9551b8e-2dc7-4f13-a4da-32ce3c5f1c4b"), null, "Математических и естественно - научных дисциплин" }
                });
        }
    }
}
