﻿using Microsoft.AspNetCore.Identity;
using OnlineMetodist.API.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OnlineMetodist.API.Models
{
    public class Employee
    {
        public Guid Id { get; set; }
        public string Surname { get; set; }
        public string Name { get; set; }
        public string? Patronymic { get; set; }
        public string UserId { get; set; }
		public ApplicationUser User { get; set; } = null!;
		public ICollection<Event> Events { get; set; }
        public Guid? IdMC { get; set; }
        public MethodicalCommission? MethodicalCommission { get; set; } = null!;
        public MethodicalCommission? HeadMC { get; set; } = null!;
	}
}
