﻿using System.ComponentModel.DataAnnotations;

namespace OnlineMetodist.API.Models
{
	public class ReportingPeriod
	{
		[Display(Name = "Id")]
		public Guid Id { get; set; }

		[Required]
		[Display(Name = "Дата отчетного периода")]
		[DisplayFormat(DataFormatString = "{0:yyyy-MM-dd}", ApplyFormatInEditMode = true)]
		public DateOnly DateOfReport { get; set; }
	}
}
